library(shiny)

ui <- fluidPage(

    titlePanel("Obrázky"),

    sidebarLayout(
        sidebarPanel(
            sliderInput("pocet",
                        "Počet:",
                        min = 1,
                        max = 10,
                        value = 1)
        ),
        mainPanel(
           htmlOutput("obrazky")
        )
    )
)

server <- function(input, output) {
    output$obrazky <- renderUI({
        seznam <- vector("list", input$pocet) # prázdný seznam jednotlivých prvků
        for (i in 1: input$pocet) { # seznam postupně naplníme
            seznam[[i]] <- img(src = "obrazek.png")
        }
        return(seznam) # a na konci seznam vrátíme
    })
}

# Run the application 
shinyApp(ui = ui, server = server)
